utl::meta::detail::compose_f_< Fn0 > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename ... Args>
using | apply = invoke< quote< Fn0 >, Args... >

## Detailed Description

### template<template< typename... > class Fn0>
struct utl::meta::detail::compose_f_< Fn0 >

Definition at line 269 of file invoke.h.

## Member Typedef Documentation

## apply

template<template< typename... > class Fn0>
template<typename ... Args>

using utl::meta::detail::compose_f_< Fn0 >::apply = invoke<quote<Fn0>, Args...>

Definition at line 271 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h